package cn.iocoder.yudao.module.customer.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * 客户 错误码枚举类
 * <p>
 * 客户，使用 1-005-000-000 段
 */
public interface ErrorCodeConstants {

    ErrorCode CREDIT_NOT_EXISTS = new ErrorCode(1005001001, "信用等级不存在");

    ErrorCode CREDIT_RULE_NOT_EXISTS = new ErrorCode(1005001002, "信用规则不存在");

    ErrorCode LEVEL_NOT_EXISTS = new ErrorCode(1005001003, "客户级别不存在");
    ErrorCode LEVEL_RULE_NOT_EXISTS = new ErrorCode(1005001004, "客户级别规则不存在");

    ErrorCode CREDIT_LOG_NOT_EXISTS = new ErrorCode(1005001005, "客户信用日志不存在");

    ErrorCode LEVEL_LOG_NOT_EXISTS = new ErrorCode(1005001006, "客户等级日志不存在");

    ErrorCode INDIRECT_CUSTOMER_NOT_EXISTS = new ErrorCode(1005001007, "间接客户不存在");

    ErrorCode INDIRECT_CUSTOMER_CONTACTS_NOT_EXISTS = new ErrorCode(1005001008, "间接客户联系人不存在");


    ErrorCode OPERATE_LOG_NOT_EXISTS = new ErrorCode(1005001009, "客户操作日志不存在");

    ErrorCode BANK_NOT_EXISTS = new ErrorCode(1005001010, "客户银行账户不存在");


    ErrorCode COMPETITOR_NOT_EXISTS = new ErrorCode(1005001011, "客户竞争对手不存在");
    ErrorCode COMPETITOR_EXISTS = new ErrorCode(1005001012, "竞争对手名称已存在");

}
